; $Id: fakespi.inc,v 1.1 2005/02/01 19:08:36 tgipson Exp $
str_fakespi_ver:
;	DW	"$Id: fakespi.inc,v 1.1 2005/02/01 19:08:36 tgipson Exp $\r\n\x00"

; Drop-in routine for faking SPI thru PIC18xxxx GPIO pins
; Requires the following variables defined:
;	ROTATE
;	RWDATA

; And the following pins:
;	S_CL
;	S_DI
;	S_DO
; On port named:
;	SDIO

; And delay function named:
;	delaybit


; -----------------------------------------------
; fake SPI routine for ADC.


getSPI
getfakeSPI:

	clrf	RWDATA

	; now clock in 8 bits....

;	bsf		ADCTRIS, S_DI				; Ensure serial in is an input

	bsf		SDIO, S_CL					; clock up
	call	delaybit

	btfsc	SDIO, S_DI					; is bit set?
	bsf		RWDATA, 7							; if yes
	bcf		SDIO, S_CL					; clock down

	call	delaybit						; and continue...

	bsf		SDIO, S_CL					; clock up
	call	delaybit

	btfsc	SDIO, S_DI					; is bit set?
	bsf		RWDATA, 6							; if yes
	bcf		SDIO, S_CL					; clock down
	call	delaybit						; and continue...

	bsf		SDIO, S_CL					; clock up
	call	delaybit

	btfsc	SDIO, S_DI					; is bit set?
	bsf		RWDATA, 5							; if yes
	bcf		SDIO, S_CL					; clock down
	call	delaybit						; and continue...

	bsf		SDIO, S_CL					; clock up
	call	delaybit

	btfsc	SDIO, S_DI					; is bit set?
	bsf		RWDATA, 4							; if yes
	bcf		SDIO, S_CL					; clock down
	call	delaybit						; and continue...

	bsf		SDIO, S_CL					; clock up
	call	delaybit

	btfsc	SDIO, S_DI					; is bit set?
	bsf		RWDATA, 3							; if yes
	bcf		SDIO, S_CL					; clock down

	call	delaybit						; and continue...

	bsf		SDIO, S_CL					; clock up
	call	delaybit

	btfsc	SDIO, S_DI					; is bit set?
	bsf		RWDATA, 2							; if yes
	bcf		SDIO, S_CL					; clock down

	call	delaybit						; and continue...

	bsf		SDIO, S_CL					; clock up
	call	delaybit

	btfsc	SDIO, S_DI					; is bit set?
	bsf		RWDATA, 1							; if yes

	bcf		SDIO, S_CL					; clock down

	call	delaybit						; and continue...

	bsf		SDIO, S_CL					; clock up
	call	delaybit

	btfsc	SDIO, S_DI					; is bit set?
	bsf		RWDATA, 0							; if yes

	bcf		SDIO, S_CL					; clock down

	call	delaybit						; and continue...

	bcf		SDIO, S_DI					; idle clock low

	return






; ----------------------------------------------------
; Send 8-bit value in RWDATA over faked SPI pins
; for DAC ('5541)

sendSPI
sendfakeSPI2:

	movwf	RWDATA

	; Going to rotate the byte around and always clock out the MSB...
	movlw	H'08'
	movwf	ROTATE

sendSDIbit2:
	; send data bits
	btfss	RWDATA, 7
	goto	clrSDIbit2
	bsf		SDIO, S_DO
	goto	sendSDI22
clrSDIbit2:
	bcf		SDIO, S_DO
sendSDI22:
	bsf		SDIO, S_CL					; clock out the bit
	call	delaybit
	bcf		SDIO, S_CL
	call	delaybit

	rlncf	RWDATA
	decfsz	ROTATE
	goto	sendSDIbit2

	bcf		SDIO, S_CL					; idle clock low
	bcf		SDIO, S_DO					; idle data low
	return



