
; Goldmine Electronics LCD tester


	list	p=18f2450, x=ON
	#include "p18f2450.inc"



; -------- Defs -------
DATAPORT	equ	PORTB
DATATRIS	equ	TRISB
SDIO		equ	DATAPORT
CS1BPORT	equ	PORTC
CS1BTRIS	equ	TRISC
RSPORT		equ	PORTC
RSTRIS		equ	TRISC


CS1B		equ	0
RS			equ	6

RESETB		equ	1
CLK			equ	2
DAT			equ	3

S_DO		equ	DAT
S_CL		equ	CLK
S_DI		equ	7	; dummy
; ---------------------


	org 0x800			; bootloader reloc. reset vector
	goto	start





	org 0x820 		; bootloader reloc. main
#include "string_m.inc"

start:

	bcf		WDTCON, SWDTEN		; kill watchdog timer

;	movlw	B'10000001'			; INTOSC 32KHz (test), prefer external
;	movlw	B'11000011'			; INTOSC 8MHz, internal
;	movwf	OSCCON

	MOVLW B'00001111' 			; Configure A/D
	MOVWF ADCON1 				; for digital inputs
;	MOVLW 07h 					; Configure comparators
;	MOVWF CMCON 				; for digital input

;	call	INITUSART

	movlw	B'11110000'
	movwf	DATATRIS
	clrf	DATAPORT

	bcf		CS1BTRIS, CS1B
	bcf		RSTRIS, RS

	bsf		CS1BPORT, CS1B
	bsf		DATAPORT, CLK
	bsf		DATAPORT, DAT





	;bcf		INTCON2, RBPU		; weak DATAPORT pullups

;	movlw	B'10101010'
;	movwf	DATAPORT

test:
;	sendstring	str_ready
;	comf	DATAPORT
;	call	lcd_reset
;	goto	test


	call	lcd_reset
;	goto	stop
	call	lcd_init
	call	delaysec

	movlw	upper	image
	movwf	TBLPTRU
	movlw	high	image
	movwf	TBLPTRH
	movlw	low		image
	movwf	TBLPTRL

	clrf	BYTECNT
	clrf	LINECNT

main:
	movlw	SET_PAGE_ADDR
	iorwf	LINECNT, w
	call	lcd_send_cmd	; set page addr.

	movlw	SET_COLUMN_ADDR_1	; = 0
	call	lcd_send_cmd
	movlw	SET_COLUMN_ADDR_2
	call	lcd_send_cmd

shovel:	; send image data to LCD, 128 columns by 8 pages (64 rows / 8 rows per data byte)
	TBLRD*+
	movf	TABLAT, w
	call	lcd_send_data
	incf	BYTECNT
	movlw	D'128'
	xorwf	BYTECNT, w	; done line?
	bnz		shovel		; if no

	clrf	BYTECNT
	incf	LINECNT

	movlw	D'8'
	xorwf	LINECNT, w	; done screen?
	bnz		main		; if no

					; else - done


stop:
	goto	stop



#include "4220uart.inc"
#include "vars.inc"
#include "delay.inc"
#include "fakespi.inc"
#include "s6b0755.inc"
#include "image.inc"

; ------
str_ready:
	DW	"Sending things to Earth....pencils...books...LCD images...\r\n\x00"


	end
