// $Id: fontdata.c,v 1.1 2007/09/25 20:37:17 tgipson Exp $

// Public-domain font table borrowed from the Rockbox project. http://rasher.dk/rockbox/fonts/misc/
// See font.m and fontc.m for conversion scripts.

// NOTE: These do not start at ASCII 0x00! Subtract 31 from the ASCII code to map to these (or pad with 31 characters' worth of data at the beginning...)


rom const char charmap[0x0182] = {
0x04,		/* width of each font table entry in pixels */
0x06,		/* height of each entry in pixels. Character generator will expand them to /8 anyway...*/
0x54,        /* char=0x00     # # #  */
0x00,        /* char=0x00            */
0x54,        /* char=0x00     # # #  */
0x00,        /* char=0x00            */
0x00,        /* char=0x01            */
0x00,        /* char=0x01            */
0x00,        /* char=0x01            */
0x00,        /* char=0x01            */
0x00,        /* char=0x02            */
0x5C,        /* char=0x02     # ###  */
0x00,        /* char=0x02            */
0x00,        /* char=0x02            */
0x0C,        /* char=0x03        ##  */
0x00,        /* char=0x03            */
0x0C,        /* char=0x03        ##  */
0x00,        /* char=0x03            */
0x7C,        /* char=0x04     #####  */
0x28,        /* char=0x04      # #   */
0x7C,        /* char=0x04     #####  */
0x28,        /* char=0x04      # #   */
0x58,        /* char=0x05     # ##   */
0xDC,        /* char=0x05    ## ###  */
0x68,        /* char=0x05     ## #   */
0x00,        /* char=0x05            */
0x24,        /* char=0x06      #  #  */
0x10,        /* char=0x06       #    */
0x48,        /* char=0x06     #  #   */
0x00,        /* char=0x06            */
0x28,        /* char=0x07      # #   */
0x54,        /* char=0x07     # # #  */
0x28,        /* char=0x07      # #   */
0x40,        /* char=0x07     #      */
0x00,        /* char=0x08            */
0x0C,        /* char=0x08        ##  */
0x00,        /* char=0x08            */
0x00,        /* char=0x08            */
0x00,        /* char=0x09            */
0x78,        /* char=0x09     ####   */
0x84,        /* char=0x09    #    #  */
0x00,        /* char=0x09            */
0x84,        /* char=0x0A    #    #  */
0x78,        /* char=0x0A     ####   */
0x00,        /* char=0x0A            */
0x00,        /* char=0x0A            */
0x54,        /* char=0x0B     # # #  */
0x38,        /* char=0x0B      ###   */
0x54,        /* char=0x0B     # # #  */
0x00,        /* char=0x0B            */
0x10,        /* char=0x0C       #    */
0x7C,        /* char=0x0C     #####  */
0x10,        /* char=0x0C       #    */
0x00,        /* char=0x0C            */
0x80,        /* char=0x0D    #       */
0x40,        /* char=0x0D     #      */
0x00,        /* char=0x0D            */
0x00,        /* char=0x0D            */
0x10,        /* char=0x0E       #    */
0x10,        /* char=0x0E       #    */
0x10,        /* char=0x0E       #    */
0x00,        /* char=0x0E            */
0x00,        /* char=0x0F            */
0x40,        /* char=0x0F     #      */
0x00,        /* char=0x0F            */
0x00,        /* char=0x0F            */
0x60,        /* char=0x10     ##     */
0x10,        /* char=0x10       #    */
0x0C,        /* char=0x10        ##  */
0x00,        /* char=0x10            */
0x38,        /* char=0x11      ###   */
0x54,        /* char=0x11     # # #  */
0x38,        /* char=0x11      ###   */
0x00,        /* char=0x11            */
0x48,        /* char=0x12     #  #   */
0x7C,        /* char=0x12     #####  */
0x40,        /* char=0x12     #      */
0x00,        /* char=0x12            */
0x48,        /* char=0x13     #  #   */
0x64,        /* char=0x13     ##  #  */
0x58,        /* char=0x13     # ##   */
0x00,        /* char=0x13            */
0x44,        /* char=0x14     #   #  */
0x54,        /* char=0x14     # # #  */
0x2C,        /* char=0x14      # ##  */
0x00,        /* char=0x14            */
0x1C,        /* char=0x15       ###  */
0x10,        /* char=0x15       #    */
0x7C,        /* char=0x15     #####  */
0x00,        /* char=0x15            */
0x5C,        /* char=0x16     # ###  */
0x54,        /* char=0x16     # # #  */
0x24,        /* char=0x16      #  #  */
0x00,        /* char=0x16            */
0x38,        /* char=0x17      ###   */
0x54,        /* char=0x17     # # #  */
0x24,        /* char=0x17      #  #  */
0x00,        /* char=0x17            */
0x64,        /* char=0x18     ##  #  */
0x14,        /* char=0x18       # #  */
0x0C,        /* char=0x18        ##  */
0x00,        /* char=0x18            */
0x68,        /* char=0x19     ## #   */
0x54,        /* char=0x19     # # #  */
0x2C,        /* char=0x19      # ##  */
0x00,        /* char=0x19            */
0x48,        /* char=0x1A     #  #   */
0x54,        /* char=0x1A     # # #  */
0x38,        /* char=0x1A      ###   */
0x00,        /* char=0x1A            */
0x00,        /* char=0x1B            */
0x48,        /* char=0x1B     #  #   */
0x00,        /* char=0x1B            */
0x00,        /* char=0x1B            */
0x80,        /* char=0x1C    #       */
0x48,        /* char=0x1C     #  #   */
0x00,        /* char=0x1C            */
0x00,        /* char=0x1C            */
0x10,        /* char=0x1D       #    */
0x28,        /* char=0x1D      # #   */
0x44,        /* char=0x1D     #   #  */
0x00,        /* char=0x1D            */
0x28,        /* char=0x1E      # #   */
0x28,        /* char=0x1E      # #   */
0x28,        /* char=0x1E      # #   */
0x00,        /* char=0x1E            */
0x44,        /* char=0x1F     #   #  */
0x28,        /* char=0x1F      # #   */
0x10,        /* char=0x1F       #    */
0x00,        /* char=0x1F            */
0x04,        /* char=0x20         #  */
0x54,        /* char=0x20     # # #  */
0x08,        /* char=0x20        #   */
0x00,        /* char=0x20            */
0x38,        /* char=0x21      ###   */
0x44,        /* char=0x21     #   #  */
0x5C,        /* char=0x21     # ###  */
0x00,        /* char=0x21            */
0x78,        /* char=0x22     ####   */
0x14,        /* char=0x22       # #  */
0x78,        /* char=0x22     ####   */
0x00,        /* char=0x22            */
0x7C,        /* char=0x23     #####  */
0x54,        /* char=0x23     # # #  */
0x28,        /* char=0x23      # #   */
0x00,        /* char=0x23            */
0x38,        /* char=0x24      ###   */
0x44,        /* char=0x24     #   #  */
0x28,        /* char=0x24      # #   */
0x00,        /* char=0x24            */
0x7C,        /* char=0x25     #####  */
0x44,        /* char=0x25     #   #  */
0x38,        /* char=0x25      ###   */
0x00,        /* char=0x25            */
0x7C,        /* char=0x26     #####  */
0x54,        /* char=0x26     # # #  */
0x44,        /* char=0x26     #   #  */
0x00,        /* char=0x26            */
0x7C,        /* char=0x27     #####  */
0x14,        /* char=0x27       # #  */
0x04,        /* char=0x27         #  */
0x00,        /* char=0x27            */
0x38,        /* char=0x28      ###   */
0x44,        /* char=0x28     #   #  */
0x74,        /* char=0x28     ### #  */
0x00,        /* char=0x28            */
0x7C,        /* char=0x29     #####  */
0x10,        /* char=0x29       #    */
0x7C,        /* char=0x29     #####  */
0x00,        /* char=0x29            */
0x44,        /* char=0x2A     #   #  */
0x7C,        /* char=0x2A     #####  */
0x44,        /* char=0x2A     #   #  */
0x00,        /* char=0x2A            */
0x20,        /* char=0x2B      #     */
0x40,        /* char=0x2B     #      */
0x3C,        /* char=0x2B      ####  */
0x00,        /* char=0x2B            */
0x7C,        /* char=0x2C     #####  */
0x10,        /* char=0x2C       #    */
0x6C,        /* char=0x2C     ## ##  */
0x00,        /* char=0x2C            */
0x7C,        /* char=0x2D     #####  */
0x40,        /* char=0x2D     #      */
0x40,        /* char=0x2D     #      */
0x00,        /* char=0x2D            */
0x7C,        /* char=0x2E     #####  */
0x18,        /* char=0x2E       ##   */
0x7C,        /* char=0x2E     #####  */
0x00,        /* char=0x2E            */
0x78,        /* char=0x2F     ####   */
0x10,        /* char=0x2F       #    */
0x3C,        /* char=0x2F      ####  */
0x00,        /* char=0x2F            */
0x38,        /* char=0x30      ###   */
0x44,        /* char=0x30     #   #  */
0x38,        /* char=0x30      ###   */
0x00,        /* char=0x30            */
0x7C,        /* char=0x31     #####  */
0x14,        /* char=0x31       # #  */
0x08,        /* char=0x31        #   */
0x00,        /* char=0x31            */
0x38,        /* char=0x32      ###   */
0x44,        /* char=0x32     #   #  */
0xB8,        /* char=0x32    # ###   */
0x00,        /* char=0x32            */
0x7C,        /* char=0x33     #####  */
0x14,        /* char=0x33       # #  */
0x68,        /* char=0x33     ## #   */
0x00,        /* char=0x33            */
0x48,        /* char=0x34     #  #   */
0x54,        /* char=0x34     # # #  */
0x24,        /* char=0x34      #  #  */
0x00,        /* char=0x34            */
0x04,        /* char=0x35         #  */
0x7C,        /* char=0x35     #####  */
0x04,        /* char=0x35         #  */
0x00,        /* char=0x35            */
0x7C,        /* char=0x36     #####  */
0x40,        /* char=0x36     #      */
0x7C,        /* char=0x36     #####  */
0x00,        /* char=0x36            */
0x3C,        /* char=0x37      ####  */
0x60,        /* char=0x37     ##     */
0x3C,        /* char=0x37      ####  */
0x00,        /* char=0x37            */
0x7C,        /* char=0x38     #####  */
0x30,        /* char=0x38      ##    */
0x7C,        /* char=0x38     #####  */
0x00,        /* char=0x38            */
0x6C,        /* char=0x39     ## ##  */
0x10,        /* char=0x39       #    */
0x6C,        /* char=0x39     ## ##  */
0x00,        /* char=0x39            */
0x0C,        /* char=0x3A        ##  */
0x70,        /* char=0x3A     ###    */
0x0C,        /* char=0x3A        ##  */
0x00,        /* char=0x3A            */
0x64,        /* char=0x3B     ##  #  */
0x54,        /* char=0x3B     # # #  */
0x4C,        /* char=0x3B     #  ##  */
0x00,        /* char=0x3B            */
0x00,        /* char=0x3C            */
0x7C,        /* char=0x3C     #####  */
0x44,        /* char=0x3C     #   #  */
0x00,        /* char=0x3C            */
0x0C,        /* char=0x3D        ##  */
0x10,        /* char=0x3D       #    */
0x60,        /* char=0x3D     ##     */
0x00,        /* char=0x3D            */
0x44,        /* char=0x3E     #   #  */
0x7C,        /* char=0x3E     #####  */
0x00,        /* char=0x3E            */
0x00,        /* char=0x3E            */
0x08,        /* char=0x3F        #   */
0x04,        /* char=0x3F         #  */
0x08,        /* char=0x3F        #   */
0x00,        /* char=0x3F            */
0x80,        /* char=0x40    #       */
0x80,        /* char=0x40    #       */
0x80,        /* char=0x40    #       */
0x00,        /* char=0x40            */
0x00,        /* char=0x41            */
0x04,        /* char=0x41         #  */
0x08,        /* char=0x41        #   */
0x00,        /* char=0x41            */
0x30,        /* char=0x42      ##    */
0x48,        /* char=0x42     #  #   */
0x78,        /* char=0x42     ####   */
0x00,        /* char=0x42            */
0x7C,        /* char=0x43     #####  */
0x48,        /* char=0x43     #  #   */
0x30,        /* char=0x43      ##    */
0x00,        /* char=0x43            */
0x30,        /* char=0x44      ##    */
0x48,        /* char=0x44     #  #   */
0x48,        /* char=0x44     #  #   */
0x00,        /* char=0x44            */
0x30,        /* char=0x45      ##    */
0x48,        /* char=0x45     #  #   */
0x7C,        /* char=0x45     #####  */
0x00,        /* char=0x45            */
0x30,        /* char=0x46      ##    */
0x68,        /* char=0x46     ## #   */
0x50,        /* char=0x46     # #    */
0x00,        /* char=0x46            */
0x10,        /* char=0x47       #    */
0x78,        /* char=0x47     ####   */
0x14,        /* char=0x47       # #  */
0x00,        /* char=0x47            */
0x90,        /* char=0x48    #  #    */
0xA8,        /* char=0x48    # # #   */
0x78,        /* char=0x48     ####   */
0x00,        /* char=0x48            */
0x7C,        /* char=0x49     #####  */
0x08,        /* char=0x49        #   */
0x70,        /* char=0x49     ###    */
0x00,        /* char=0x49            */
0x50,        /* char=0x4A     # #    */
0x74,        /* char=0x4A     ### #  */
0x40,        /* char=0x4A     #      */
0x00,        /* char=0x4A            */
0x80,        /* char=0x4B    #       */
0x80,        /* char=0x4B    #       */
0x74,        /* char=0x4B     ### #  */
0x00,        /* char=0x4B            */
0x7C,        /* char=0x4C     #####  */
0x10,        /* char=0x4C       #    */
0x68,        /* char=0x4C     ## #   */
0x00,        /* char=0x4C            */
0x44,        /* char=0x4D     #   #  */
0x7C,        /* char=0x4D     #####  */
0x40,        /* char=0x4D     #      */
0x00,        /* char=0x4D            */
0x78,        /* char=0x4E     ####   */
0x10,        /* char=0x4E       #    */
0x78,        /* char=0x4E     ####   */
0x00,        /* char=0x4E            */
0x78,        /* char=0x4F     ####   */
0x08,        /* char=0x4F        #   */
0x70,        /* char=0x4F     ###    */
0x00,        /* char=0x4F            */
0x30,        /* char=0x50      ##    */
0x48,        /* char=0x50     #  #   */
0x30,        /* char=0x50      ##    */
0x00,        /* char=0x50            */
0xF8,        /* char=0x51    #####   */
0x28,        /* char=0x51      # #   */
0x10,        /* char=0x51       #    */
0x00,        /* char=0x51            */
0x30,        /* char=0x52      ##    */
0x48,        /* char=0x52     #  #   */
0xF8,        /* char=0x52    #####   */
0x00,        /* char=0x52            */
0x78,        /* char=0x53     ####   */
0x10,        /* char=0x53       #    */
0x08,        /* char=0x53        #   */
0x00,        /* char=0x53            */
0x50,        /* char=0x54     # #    */
0x58,        /* char=0x54     # ##   */
0x28,        /* char=0x54      # #   */
0x00,        /* char=0x54            */
0x08,        /* char=0x55        #   */
0x3C,        /* char=0x55      ####  */
0x48,        /* char=0x55     #  #   */
0x00,        /* char=0x55            */
0x38,        /* char=0x56      ###   */
0x40,        /* char=0x56     #      */
0x78,        /* char=0x56     ####   */
0x00,        /* char=0x56            */
0x38,        /* char=0x57      ###   */
0x40,        /* char=0x57     #      */
0x38,        /* char=0x57      ###   */
0x00,        /* char=0x57            */
0x78,        /* char=0x58     ####   */
0x20,        /* char=0x58      #     */
0x78,        /* char=0x58     ####   */
0x00,        /* char=0x58            */
0x48,        /* char=0x59     #  #   */
0x30,        /* char=0x59      ##    */
0x48,        /* char=0x59     #  #   */
0x00,        /* char=0x59            */
0x98,        /* char=0x5A    #  ##   */
0xA0,        /* char=0x5A    # #     */
0x78,        /* char=0x5A     ####   */
0x00,        /* char=0x5A            */
0x48,        /* char=0x5B     #  #   */
0x68,        /* char=0x5B     ## #   */
0x58,        /* char=0x5B     # ##   */
0x00,        /* char=0x5B            */
0x10,        /* char=0x5C       #    */
0x78,        /* char=0x5C     ####   */
0x84,        /* char=0x5C    #    #  */
0x00,        /* char=0x5C            */
0x00,        /* char=0x5D            */
0x7C,        /* char=0x5D     #####  */
0x00,        /* char=0x5D            */
0x00,        /* char=0x5D            */
0x84,        /* char=0x5E    #    #  */
0x78,        /* char=0x5E     ####   */
0x10,        /* char=0x5E       #    */
0x00,        /* char=0x5E            */
0x08,        /* char=0x5F        #   */
0x04,        /* char=0x5F         #  */
0x08,        /* char=0x5F        #   */
0x04         /* char=0x5F         #  */
};
